<template>
  <details-card>
    <v-row>
      <v-col md="8">
        <v-card-title v-if="appointment">
          {{ formatDate(appointment.startTime) }}
        </v-card-title>
        <v-card-title v-if="appointment">
          {{ formatHour(appointment.startTime, appointment.endTime) }}
        </v-card-title>
      </v-col>
      <v-col md="2" align-self="center">
        <v-card-actions>
          <v-btn
            depressed
            rounded
            color="primary"
            style="padding:15px"
            @click="goToSession(appointment.id)"
          >
            DETALLE
          </v-btn>
        </v-card-actions>
      </v-col>
    </v-row>
  </details-card>
</template>

<script>
import DetailsCard from '~/components/Cards/DetailsCard.vue'

export default {
  name: 'SessionCard',
  components: {
    'details-card': DetailsCard,
  },
  props: {
    appointment: Object,
  },
  methods: {
    formatDate(date) {
      if (!date) { return null; }

      const [year, month, day] = date.split('-');
      const months = ['enero', 'febrero', 'marzo', 'abril', 'mayo', 'junio', 'julio', 'agosto',
        'setiembre', 'octubre', 'noviembre', 'diciembre'];
      const [dayNumber, tail] = day.split('T');
      return `${dayNumber} de ${months[month - 1]} del ${year}`;
    },
    formatHour(hourIni, hourFin) {
      const availableIni = new Intl.DateTimeFormat('es-Es', { hour: '2-digit', minute: '2-digit' }).format(new Date(hourIni));
      const availableFin = new Intl.DateTimeFormat('es-Es', { hour: '2-digit', minute: '2-digit' }).format(new Date(hourFin));
      return 'De ' + availableIni + ' hasta las ' + availableFin + ' horas';
    },
    goToSession(idSession) {
      this.$router.push(`/especialista/sesion/${idSession}`);
    },
  }
};
</script>
